%define	nam             rxvt
%define	ver             2.7.6
%define	rel             12ml

%define serial          2003031901

%define _prefix         /usr/X11R6
%define _datadir        /usr/X11R6
%define _sysconfdir     /etc/X11


Summary:        rxvt - terminal emulator in an X window
Name:           %{nam}
Version:        %{ver}
Release:        %{rel}
License:        GPL
Group:          User Interface/X
Source0:        http://prdownloads.sourceforge.net/rxvt/%{name}-%{version}.tar.gz
Source1:        rxvt.wmconfig
Source2:        Rxvt.ja_JP.eucJP
Source3:        Rxvt.zh_CN
Source4:        Rxvt.zh_TW
Source5:        Rxvt.ko_KR.eucKR
Patch0:         rxvt-2.7.6-zh.patch
Patch1:         rxvt-2.7.6-installdirs.patch
Patch2:         rxvt-2.7.6-xim.patch
Patch3:         rxvt-2.7.6-krfix.patch
Patch4:         rxvt-2.7.6-defaultfont.patch
Patch5:         rxvt-2.7.6-iso2022fix.patch
Patch6:         rxvt-2.7.6-tt_printf.patch
Patch7:         rxvt-2.7.8-kp.patch
Patch8:         rxvt-2.7.8-security.patch
URL:            http://www.rxvt.org
Serial:         %{serial}
BuildRoot:      /var/tmp/%{name}-%{version}-root
PreReq:		ncurses lang-extra
#NoSource: 0 

Summary(de):        rxvt - Terminal-Emulator in einem X-Fenster
Summary(fr):        rxvt - un emulateur de terminal pour X window
Summary(tr):        X11 iin bir ubirim yazlm


%description
Rxvt is a VT100 terminal emulator for X.  It is intended as a replacement
for xterm(1) for users who do not require the more esoteric features of
xterm.  Specifically rxvt does not implement the Tektronix 4014 emulation,
session logging and toolkit style configurability.  As a result, rxvt uses
much less swap space than xterm - a significant advantage on a machine
serving many X sessions. 

%description -l de
Rxvt ist ein VT100-Terminal-Emulator fr X. Es ist als der Nachfolger 
von xterm(1) fr Benutzer gedacht, die auf die exotischeren Funktionen 
von xterm verzichten knnen. Insbesondere implementiert rxvt keine 
Tektronix 4014-Emulation, keine Sitzungsprotokolle und keine 
Konfigurierbarkeit im Toolkit-Stil. Als Folge davon belegt es 
wesentlich weniger Auslagerungsplatz als xterm, was einen signifikanten 
Vorteil fr Computer bedeutet, die viele X-Sitzungen bedienen. 

%description -l fr
rxvt est un mulateur de terminal VT100 pour X. Il est conu pour remplacer
xterm(1) pour les utilisateurs qui n'ont pas besoin des possibilits
sotriques d'xterm. Notamment, rxvt n'implante pas l'mulation Tektronix
4014, le session logging et la configuration de style toolkit. En revanche,
rxvt utilise beaucoup moins d'espace de swap qu'xterm - un avantage certain
sur une machine avec de nombreuses sessions X. 

%description -l tr
rxvt, X11 iin vt100 terminalini destekleyen bir yazlmdr. Asl gelitirilme
amac xterm'in baz detayl zelliklerine gerek duymayan kiiler iin daha az
kaynak harcayan bir alternatif yaratmakt. Textronik 4014 yknm gibi
xterm'e ait egzotik zellikleri gerektirmeyen ve birok pencerenin a~ld~
ortamlarda son derece avantajl olabilir.


%changelog
* Wed May 19 2003 Yuji Oishi <yoishi@miraclelinux.com>
- bumped version
- fixed keypad escape chars
- fixed (CAN-2003-0022, CAN-2003-0023, CAN-2003-0066)

* Mon Jun 25 2001 Maxime Froment <maxime@turbolinux.co.jp>
- fix iso2022 escape sequence handling patch

* Mon Jun 18 2001 Maxime Froment <maxime@turbolinux.co.jp>
- security fix, patched r_tt_printf function. Reference:
  http://linuxtoday.com/news_story.php3?ltsn=2001-06-16-011-20-SC-DB

* Thu Jun  7 2001 Maxime Froment <maxime@turbolinux.co.jp>
- modified Japanese fonts definition (again...)

* Mon May 28 2001 Maxime Froment <maxime@turbolinux.co.jp>
- reenable swapscreen (necessary for correct refresh on exiting curses-based apps)
- patched to grok more iso-2022 escape sequences (and partially disable their
  interpretation...)

* Sat May 26 2001 Maxime Froment <maxime@turbolinux.co.jp>
- work around infinite loop when destroying the XIM input context

* Fri May 25 2001 Maxime Froment <maxime@turbolinux.co.jp>
- modified Japanese fonts definition

* Wed May  9 2001 Maxime Froment <maxime@turbolinux.co.jp>
- patch to fix inconsistent default font behaviour (adapted from Tomohiro Kubota)
- documented modifications to locale sensitive app-default files (see comments
  in files)

* Tue Apr 17 2001 Masaru Yokoi <masaru@turbolinux.co.jp>
- Modified font configuration in Japanese resource file.

* Mon Apr 16 2001 Maxime Froment <maxime@turbolinux.co.jp>
- upgraded to 2.7.6
- obsolete patches (merged in main tree): 
   locale_appdefaults, multichar_defaults, multichar_freefont
- new patches: installdirs, krfix
- no more encoding specified in locale app-defaults (set from locale settings)

* Sun Mar 11 2001 Go Taniguchi <go@turbolinux.co.jp>
- We use TERM=rxvt for lang set env, remove I18NXTERM
- Commit Korean app-default fonts.

* Wed Mar 7 2001 Bob Frey <bfrey@turbolinux.com.cn>
- Change Korean app-default fonts.

* Tue Jan 30 2001 Go Taniguchi <go@turbolinux.co.jp>
- app-defaults path chnaged /usr/lib/X11/ -> /usr/X11R6/lib/X11/
- added I18NXTERM env for lang-extra

* Tue Jan 23 2001 Maxime Froment <maxime@turbolinux.co.jp>
- added a localized app-default file for ko_KR.eucKR locale
- Japanese locale now specified as ja_JP.eucJP

* Sun Jan 7 2001 Roger Luethi <rluethi@turbolinux.com>
- 2.7.3-9: install into %{_mandir}
- find executable in %{_prefix}/bin, not in %{_bindir}

* Wed Dec 13 2000 Simon Zhang  <simonz@turbolinux.com.cn>
- Write two small programs(font_zh.c and font_tw.c) to automatically
- generate Rxvt.zh_CN and Rxvt.zh_TW, and then rewrite the older files.

* Mon Dec 4 2000 Maxime Froment <maxime@turbolinux.co.jp>
- increased the release number to be synchronized with previous Chinese
  releases

* Fri Dec 1 2000 Maxime Froment <maxime@turbolinux.co.jp>
- finally merged in the Chinese patches.
- patched to use locale app-defaults (/usr/lib/X11/LOCALE/app-defaults/Rxvt)
  if available
- patched so that the default encoding specified at build time is really that
  (instead of the only encoding available)
- app-defaults for ja_JP zh_CN zh_TW
- patched for getting XIM refresh on more events
- patched for fixing multiply freed font memory

* Wed Sep 20 2000 Maxime Froment <maxime@turbolinux.co.jp>
- comment NoSource/NoPatch for new Centro specification

* Wed Aug 16 2000 SL Baur  <steve@turbolinux.co.jp>
- update to version 2.7.3, take patch1 available from the FTP site.
  enable all Japanese options during configure

* Tue Aug 10 1999 Ryan Weaver <ryanw@infohwy.com>
  [rxvt-2.7.0-4]
- Applied patch3 available on ftp site.
  Reorder child operations to fix problems on USG pty machines
    Larry W. Virden <lvirden@cas.org>

* Mon Aug  9 1999 Ryan Weaver <ryanw@infohwy.com>
  [rxvt-2.7.0-3]
- Applied patch2 available on ftp site.
  Add lost tty determining code when split fully into BSD/SYSV types.

* Fri Aug  6 1999 Ryan Weaver <ryanw@infohwy.com>
  [rxvt-2.7.0-2]
- Applied patch1 available on ftp site.

* Fri Aug  6 1999 Ryan Weaver <ryanw@infohwy.com>
  [rxvt-2.7.0-1]
- Updated to 2.7.0 Developement Release.
- added XTerm escape sequence #55 to dump scrollback/screen to a file
  Geoff Wing <gcw@pobox.com>
- fixed XGetDefaults() to use standard files (and then some)
  SEO Young-Jin <yjseo@mizi.co.kr>

* Tue Jun  8 1999 Ryan Weaver <ryanw@infohwy.com>
  [rxvt-2.6.0-1]
- Updated to 2.6.0 release.
- Geoff Wing <gcw@pobox.com>  et al.
  fixed configuration for many systems
- Ha Shao <hashao@china.com>
  added support for ZH_CN (GB2312) fonts and encoding.


* Mon May 10 1999 Ryan Weaver <ryanw@infohwy.com>
  [rxvt-2.6.PRE4-1]
- Updated to version 2.6.PRE4

* Mon Apr  5 1999 Ryan Weaver <ryanw@infohwy.com>
  [rxvt-2.6.PRE3-1]
- Updated to version 2.6.PRE3
- Changed URL to reflect new rxvt web site.

* Thu Jan 28 1999 Ryan Weaver <ryanw@infohwy.com>
  [rxvt-2.6.PRE2-3]
- added --enable-ttygid

* Thu Jan 28 1999 Ryan Weaver <ryanw@infohwy.com>
  [rxvt-2.6.PRE2-2]
- Fix change_font/move_window bug better
   avoids coredump on resize window!

* Wed Jan 27 1999 Ryan Weaver <ryanw@infohwy.com>
  [rxvt-2.6.PRE2-1]
- Upgraded to rxvt-2.6.PRE2
- Geoff Wing <gcw@pobox.com>
- fixed declaration position for COLORFGBG env var - really fixed this
    time (noticed by Rob Somerville <somervil@cadvision.com>)
- fixed transparent term reparenting/configure issues
- fixed some documentation (noticed by
    Richard Browne <richb@timestone.com.au>)
- MANTANI Nobutaka <nobutaka@nobutaka.com>
  - added XIM (X Input Method) enhancements

* Wed Jan 13 1999 Ryan Weaver <ryanw@infohwy.com>
  [rxvt-2.6.PRE1-2]
- Upgraded to rxvt-2.6.PRE1
#-----------------------------------------------------------------
%prep
rm -rf ${RPM_BUILD_ROOT}
%setup -q
%patch0 -p1 -b .zh
%patch1 -p1 -b .installdirs
%patch2 -p1 -b .xim
%patch3 -p1 -b .krfix
%patch4 -p1 -b .defaultfont
%patch5 -p1 -b .iso2022fix
%patch6 -p1 -b .tt_printf
%patch7 -p1 -b .kp
%patch8 -p1 -b .sec


%build
CFLAGS="${RPM_OPT_FLAGS}" ./configure \
	--prefix=%{_prefix} \
	--mandir=%{_mandir} \
	--enable-languages \
	--with-encoding=noenc \
	--enable-utmp --enable-wtmp --enable-lastlog\
	--enable-xpm-background \
	--enable-transparency \
	--enable-menubar \
	--enable-graphics \
	--enable-rxvt-scroll --enable-next-scroll --enable-xterm-scroll \
	--enable-half-shadow \
	--enable-xim \
	--enable-greek \
	--enable-ttygid \
	--disable-backspace-key --disable-delete-key \
	--enable-xgetdefault \
	--disable-strings \
	--enable-swapscreen \
	--enable-frills \
	--enable-24bit \
	--enable-keepscrolling \
	--enable-mousewheel \
	--enable-old-selection \
	--enable-new-selection \
	--disable-dmalloc \
	--disable-dlmalloc \
	--disable-smart-resize \
	--with-term=rxvt
make


%install
rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

install -d -m 755 ${RPM_BUILD_ROOT}%{_sysconfdir}/wmconfig
install -m 644 %{SOURCE1} ${RPM_BUILD_ROOT}%{_sysconfdir}/wmconfig/rxvt

for locale in ja_JP.eucJP zh_CN zh_TW ko_KR.eucKR
do
  install -d -m 755 ${RPM_BUILD_ROOT}%{_libdir}/X11/$locale/app-defaults
  install -m 644 ${RPM_SOURCE_DIR}/Rxvt.$locale \
	${RPM_BUILD_ROOT}%{_libdir}/X11/$locale/app-defaults/Rxvt
done


%clean
rm -rf ${RPM_BUILD_ROOT}


%post
if [ -x /usr/bin/tic ] && [ -f %{_docdir}/%{name}-%{version}/etc/rxvt.terminfo ]; then
	/usr/bin/tic %{_docdir}/%{name}-%{version}/etc/rxvt.terminfo
fi


%files
%defattr(-,root,root)
%doc ChangeLog INSTALL rxvt-%{version}.lsm 
%doc doc/README* doc/*.txt doc/*.html doc/xterm.seq doc/FAQ
%doc doc/etc/ doc/menu/
%config(missingok) %{_sysconfdir}/wmconfig/rxvt
%attr(4755,root,root) %{_bindir}/rxvt
%{_bindir}/rclock
%{_mandir}/man*/*
%{_libdir}/X11/*/app-defaults/Rxvt
# don't install static libs
#%{_libdir}/librxvt.a
#%{_libdir}/librxvt.a
